﻿@model UserModel
@{

}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Edit User</h3>
    </div>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!--=== Page Content ===-->
<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i> Edit User</h4>
            </div>
            <div class="widget-content">
                @using (Html.BeginForm(MVC.CMSUser.Edit(), FormMethod.Post, new { @class = "form-horizontal row-border", @id = "formEditUser" }))
                {
                    @Html.AntiForgeryToken()

                    if (!Html.ViewData.ModelState.IsValid)
                    {
                        <div class="alert alert-danger">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                            <i class="fa fa-times-circle"></i>
                            Error occured: <br />
                            @Html.ValidationSummary()
                        </div>
                    }
                    @Html.HiddenFor(x => x.ID)
                    <div class="form-group">
                        <label class="col-md-3 control-label">Full Name <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.FullName, new { @class = "form-control", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Username<span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Username, new { @class = "form-control", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Email </label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Email, new { @class = "form-control" })
                        </div>
                    </div>

                    <div class="form-group role">
                        <label class="col-md-3 control-label">CMS Role <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.CMSRoleID, ViewBag.ListRole as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix ddl-cmsrole", @required = "required" })
                        </div>
                    </div>
                    if (ViewBag.IsHidden)
                    {
                        <div class="form-group parent hidden">
                            <label class="col-md-3 control-label">Parent <span class="required">*</span></label>
                            <div class="col-md-9 list-parent">
                                @Html.DropDownListFor(x => x.ParentID, ViewBag.ListParent as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix ddl-parent", @required = "required" })
                            </div>
                        </div>
                    }
                    else
                    {
                        <div class="form-group parent">
                            <label class="col-md-3 control-label">Parent <span class="required">*</span></label>
                            <div class="col-md-9 list-parent">
                                @Html.DropDownListFor(x => x.ParentID, ViewBag.ListParent as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix ddl-parent", @required = "required" })
                            </div>
                        </div>
                    }
                    <div class="form-actions">
                        <input type="submit" value="Submit" class="btn btn-primary pull-right">
                    </div>

                }
            </div>
        </div>
        <!-- /Validation Example 1 -->
    </div>
</div>
@section FooterScript{
<script src="@Links.Assets.assets.js.CMSUser.Parent_js?v2"></script>
    <script>
    var CMSUserController = new CMSUserController();
    $(document).ready(function () {
        CMSUserController.url_populate_parent = '@Url.Action(MVC.CMSUser.GeneratedParent())';
        CMSUserController.Initialize();
        //===== Validation =====//
        //for default options, see assets/js/plugins.form-components.js (initValidation())

        $.extend($.validator.defaults, {
            invalidHandler: function (form, validator) {
                var errors = validator.numberOfInvalids();
                if (errors) {
                    var message = errors == 1
                    ? 'You missed 1 field. It has been highlighted.'
                    : 'You missed ' + errors + ' fields. They have been highlighted.';
                    noty({
                        text: message,
                        type: 'error',
                        timeout: 2000
                    });
                }
            },
            errorPlacement: function (error, element) {
                if (element.attr('type') === "file" && element.data('style') === "fileinput") {
                    error.appendTo(element.closest("div.fileinput-holder").parent('div'));
                } else {
                    error.insertAfter(element)
                }
            }
        });

        $("#formEditUser").validate();

    });
    </script>
}